Index: docs/dev/metacat/source/sitemaps.rst
===================================================================
--- docs/dev/metacat/source/sitemaps.rst	(revision 6845)
+++ docs/dev/metacat/source/sitemaps.rst	(revision 6846)
@@ -1,11 +1,56 @@
 Enabling Web Searches: Sitemaps
 ===============================
 
-Under construction!
+Sitemaps are XML files that tell search engines—such as Google, which is 
+discussed in this section--which URLs on your websites are available for 
+crawling. Currently, the only way for a search engine to crawl and index 
+Metacat so that individual metadata entries are available via Web searches 
+is with a sitemap. Metacat automatically creates sitemaps for all public 
+documents in the repository. However, you must register the sitemaps with 
+the search engine before it will take effect.
 
-Heading 1
-------------
 
-Heading 2
-------------
+Creating a Sitemap
+------------------
 
+Metacat automatically generates a sitemap file for all public documents in 
+the repository on a daily basis. The sitemap file(s) must be available via 
+the Web on your server, and must be registered with Google before they take 
+effect. For information on the sitemap protocol, please refer to the Google 
+page on using the sitemap protocol. You can view Metacat's sitemap files at:: 
+
+  <webapps_dir>/sitemaps
+
+The directory contains one or more XML files named::
+
+  metacat<X>.xml
+
+where ``<X>`` is a number (e.g., 1 or 2) used to increment each sitemap file. 
+Because Metacat limits the number of sitemap entries in each sitemap file to 
+25,000, the servlet creates an additional sitemap file for each group of 
+25,000 entries. 
+
+Verify that your sitemap files are available to the Web by browsing to::
+
+  <your_web_context>/sitemaps/metacat<X>.xml 
+  (e.g., your.server.org/knb/sitemaps/metacat1.xml)
+
+Registering a Sitemap
+---------------------
+Before Google will begin indexing the public files in your Metacat, you must 
+register the sitemaps. To register your sitemaps and ensure that they are up 
+to date:
+
+1. Register for a Google Webmaster Tools account, and add your Metacat 
+   site to the Dashboard.
+2. From your Google Webmaster Tools site account, register your sitemaps. 
+   See the Google help site for more information about how to register sitemaps. 
+   Note: Register the full URL path to your sitemap files, including 
+   the http:// (or https://) headers.
+
+Once the sitemaps are registered, Google will begin to index the public 
+documents in your Metacat repository. 
+
+NOTE: As you add more publicly accessible data to Metacat, you will need to 
+periodically revisit the Google Webmaster Tools utility to refresh your 
+sitemap registration.
Index: docs/dev/metacat/source/event-logging.rst
===================================================================
--- docs/dev/metacat/source/event-logging.rst	(revision 6845)
+++ docs/dev/metacat/source/event-logging.rst	(revision 6846)
@@ -1,11 +1,88 @@
 Event Logging
 =============
 
-Under construction!
+Metacat keeps an internal log of events (such as insertions, updates, deletes, 
+and reads) that can be accessed with the getlog action. Using the getlog action, 
+event reports can be output from Metacat in XML format, and/or customized to 
+include only certain events: events from a particular IP address, user, event 
+type, or that occurred after a specified start date or before an end date. 
 
-Heading 1
-------------
+The following URL is used to return the basic log—an XML-formatted log of all 
+events since the log was initiated::
 
-Heading 2
-------------
+  http://some.metacat.host/context/metacat?action=getlog 
 
+Note that you must be logged in to Metacat using the HTTP interface or you 
+will get an error message. For more information about logging in, please see 
+Logging In with the HTTP Interface.
+
+::
+
+  <!-- Example of XML Log -->
+  <?xml version="1.0"?>
+  <log>
+  <logEntry><entryid>44</entryid><ipAddress>34.237.20.142</ipAddress><principal>uid=jones,
+  o=NCEAS,dc=ecoinformatics,dc=org</principal><docid>esa.2.1</docid><event>insert</event>
+  <dateLogged>2004-09-08 19:08:18.16</dateLogged></logEntry>
+  <logEntry><entryid>47</entryid><ipAddress>34.237.20.142</ipAddress><principal>uid=jones,o=NCEAS,
+  dc=ecoinformatics,dc=org</principal><docid>esa.3.1</docid><event>insert</event><dateLogged>2004-
+  09-14 19:50:40.61</dateLogged></logEntry>
+  </log>
+
+The basic log can be quite extensive. To subset the report, restrict the 
+matching events using parameters. Query parameters can be combined to further 
+restrict the report.
+
++-----------+-----------------------------------------------------+
+| Parameter | Description and Values                              |
++===========+=====================================================+
+| ipAddress | Restrict the report to this IP Address (repeatable) |
++-----------+-----------------------------------------------------+
+| principal | Restrict the report to this user (repeatable)       |
++-----------+-----------------------------------------------------+
+| docid     | Restrict the report to this docid (repeatable)      |
++-----------+-----------------------------------------------------+
+| event     | Restrict the report to this event type (repeatable) |
+|           | Values: insert, update, delete, read                |
++-----------+-----------------------------------------------------+
+| start     | Restrict the report to events after this date       |
+|           | Value: YYYY-MM-DD+hh:mm:ss                          |
++-----------+-----------------------------------------------------+
+| end       | Restrict the report to events before this date.     |
+|           | Value: YYYY-MM-DD+hh:mm:ss                          |
++-----------+-----------------------------------------------------+
+
+To view only the 'read' events, use a URL like::
+
+  http://some.metacat.host/context/metacat?action=getlog&event=read
+
+
+To view only the events for a particular IP address, use a URL like::
+
+  http://some.metacat.host/context/metacat?action=getlog&ipaddress=107.9.1.31
+
+
+To view only the events for a given user, use a URL like::
+
+  http://some.metacat.host/context/metacat?action=getlog&principal=uid=johndoe,o=NCEAS,dc=ecoinformatics,dc=org 
+
+
+To view only the events for a particular document, use a URL like::
+
+  http://some.metacat.host/context/metacat?action=getlog&docid=knb.5.1 
+
+
+To view only the events after a given date, use a URL like::
+
+  http://some.metacat.host/context/metacat?action=getlog&start=2004-09-15+12:00:00
+
+
+To view only the events before a given date, use a URL like::
+
+  http://some.metacat.host/context/metacat?action=getlog&end=2004-09-15+12:00:00
+
+
+To view the 'insert' events for September 2004 (i.e., to combine parameters) use a URL like::
+
+  http://some.metacat.host/context/metacat?action=getlog&event=insert&start=2004-09-01+12:00:00&end=2004-09-30+23:59:59 
+