Index: src/edu/ucsb/nceas/metacat/dataone/CNodeService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/CNodeService.java	(revision 6858)
+++ src/edu/ucsb/nceas/metacat/dataone/CNodeService.java	(revision 6859)
@@ -29,6 +29,7 @@
 import java.util.Date;
 import java.util.List;
 import java.util.Set;
+import java.util.concurrent.locks.Lock;
 
 import javax.servlet.http.HttpServletRequest;
 
@@ -71,8 +72,6 @@
 import org.dataone.service.types.v1.Subject;
 import org.dataone.service.types.v1.SystemMetadata;
 
-import com.hazelcast.core.ILock;
-
 import edu.ucsb.nceas.metacat.EventLog;
 import edu.ucsb.nceas.metacat.IdentifierManager;
 import edu.ucsb.nceas.metacat.dataone.hazelcast.HazelcastService;
@@ -128,7 +127,7 @@
       InvalidRequest, InvalidToken {
       
       // The lock to be used for this identifier
-      ILock lock = null;
+      Lock lock = null;
       
       // get the subject
       Subject subject = session.getSubject();
@@ -215,7 +214,7 @@
       InvalidRequest, NotFound {
       
       // The lock to be used for this identifier
-      ILock lock = null;
+      Lock lock = null;
       
       boolean allowed = false;
       int replicaEntryIndex = -1;
@@ -371,7 +370,7 @@
     InvalidRequest, NotImplemented {
     
     // The lock to be used for thyis identifier
-    ILock lock = null;
+    Lock lock = null;
 
     boolean asserted = false;
         
@@ -452,7 +451,7 @@
     NotImplemented {
         
     // The lock to be used for thyis identifier
-    ILock lock = null;
+    Lock lock = null;
     
     if (!isAuthorized(session, pid, Permission.READ)) {
         throw new NotAuthorized("1400", Permission.READ + " not allowed on " + pid.getValue());  
@@ -665,7 +664,7 @@
       InvalidSystemMetadata {
 
       // The lock to be used for this identifier
-      ILock lock = null;
+      Lock lock = null;
 
       // TODO: control who can call this?
       if (session == null) {
@@ -810,7 +809,7 @@
       NotImplemented, InvalidRequest {
       
       // The lock to be used for this identifier
-      ILock lock = null;
+      Lock lock = null;
 
       // get the subject
       Subject subject = session.getSubject();
@@ -892,7 +891,7 @@
     NotFound, InvalidRequest {
 
     // The lock to be used for this identifier
-    ILock lock = null;
+    Lock lock = null;
     
     boolean isAllowed = false;
     SystemMetadata sysmeta = null;
@@ -1020,7 +1019,7 @@
       
       
       // The lock to be used for this identifier
-      ILock lock = null;
+      Lock lock = null;
       
       try {
         // are we allowed?
@@ -1096,7 +1095,7 @@
       NotImplemented, InvalidRequest {
       
       // The lock to be used for this identifier
-      ILock lock = null;
+      Lock lock = null;
       
       boolean success = false;
       
@@ -1183,7 +1182,7 @@
       NotFound {
       
       // The lock to be used for this identifier
-      ILock lock = null;
+      Lock lock = null;
       
       // get the subject
       Subject subject = session.getSubject();
Index: src/edu/ucsb/nceas/metacat/dataone/hazelcast/HazelcastService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/dataone/hazelcast/HazelcastService.java	(revision 6858)
+++ src/edu/ucsb/nceas/metacat/dataone/hazelcast/HazelcastService.java	(revision 6859)
@@ -29,6 +29,7 @@
 import java.io.FileNotFoundException;
 import java.util.Collection;
 import java.util.Date;
+import java.util.concurrent.locks.Lock;
 
 import org.apache.log4j.Logger;
 import org.dataone.service.types.v1.Identifier;
@@ -36,7 +37,6 @@
 import org.dataone.service.types.v1.NodeReference;
 import org.dataone.service.types.v1.SystemMetadata;
 
-import com.hazelcast.client.HazelcastClient;
 import com.hazelcast.config.Config;
 import com.hazelcast.config.FileSystemXmlConfig;
 import com.hazelcast.core.EntryEvent;
@@ -43,7 +43,6 @@
 import com.hazelcast.core.EntryListener;
 import com.hazelcast.core.Hazelcast;
 import com.hazelcast.core.HazelcastInstance;
-import com.hazelcast.core.ILock;
 import com.hazelcast.core.IMap;
 import com.hazelcast.core.InstanceEvent;
 import com.hazelcast.core.InstanceListener;
@@ -241,9 +240,9 @@
 	
   }
 
-  public ILock getLock(String identifier) {
+  public Lock getLock(String identifier) {
     
-    ILock lock = null;
+    Lock lock = null;
     
     try {
         lock = getInstance().getHazelcastInstance().getLock(identifier);