Index: test/edu/ucsb/nceas/metacat/dataone/CNodeServiceTest.java
===================================================================
--- test/edu/ucsb/nceas/metacat/dataone/CNodeServiceTest.java	(revision 6881)
+++ test/edu/ucsb/nceas/metacat/dataone/CNodeServiceTest.java	(revision 6882)
@@ -38,7 +38,6 @@
 import org.apache.commons.io.IOUtils;
 import org.dataone.client.D1Client;
 import org.dataone.service.exceptions.BaseException;
-import org.dataone.service.exceptions.InsufficientResources;
 import org.dataone.service.exceptions.NotAuthorized;
 import org.dataone.service.exceptions.NotFound;
 import org.dataone.service.exceptions.NotImplemented;
@@ -88,7 +87,6 @@
 		TestSuite suite = new TestSuite();
 		suite.addTest(new CNodeServiceTest("initialize"));
 		
-		suite.addTest(new CNodeServiceTest("testAssertRelation"));
 		suite.addTest(new CNodeServiceTest("testChecksum"));
 		suite.addTest(new CNodeServiceTest("testCreate"));
 		suite.addTest(new CNodeServiceTest("testGet"));
@@ -218,35 +216,6 @@
         }
 	}
 	
-	public void testAssertRelation() {
-	    printTestHeader("testAssertRelation");
-
-	    try {
-            Session session = getTestSession();
-			Identifier guid = new Identifier();
-			guid.setValue("testAssertRelation." + System.currentTimeMillis());
-			InputStream object = new ByteArrayInputStream("test".getBytes("UTF-8"));
-			SystemMetadata sysmeta = createSystemMetadata(guid, session.getSubject(), object);
-			Identifier describePid = new Identifier();
-			describePid.setValue("describePid." + System.currentTimeMillis());
-			sysmeta.setObsoletes(describePid);
-			// save it
-			Identifier retGuid = CNodeService.getInstance(request).registerSystemMetadata(session, guid, sysmeta);
-			assertEquals(guid.getValue(), retGuid.getValue());
-			// save the other
-			InputStream object2 = new ByteArrayInputStream("test".getBytes("UTF-8"));
-			SystemMetadata describeSysmeta = createSystemMetadata(describePid, session.getSubject(), object2);
-			Identifier retDescribePid = CNodeService.getInstance(request).registerSystemMetadata(session, describePid, describeSysmeta);
-			assertEquals(describePid.getValue(), retDescribePid.getValue());
-			// check it
-			boolean result = CNodeService.getInstance(request).assertRelation(session, guid, "obsoletes", describePid);
-			assertTrue(result);
-        } catch(Exception e) {
-        	e.printStackTrace();
-            fail("Unexpected error: " + e.getMessage());
-        }
-	}
-	
 	public void testChecksum() {
 	    printTestHeader("testChecksum");
 
Index: src/edu/ucsb/nceas/metacat/restservice/CNResourceHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/restservice/CNResourceHandler.java	(revision 6881)
+++ src/edu/ucsb/nceas/metacat/restservice/CNResourceHandler.java	(revision 6882)
@@ -119,7 +119,6 @@
     protected static final String RESOURCE_RESERVE = "reserve";
     protected static final String RESOURCE_FORMATS = "formats";
     protected static final String RESOURCE_RESOLVE = "resolve";
-    protected static final String RESOURCE_ASSERT_RELATION = "assertRelation";
     protected static final String RESOURCE_OWNER = "owner";
     protected static final String RESOURCE_REPLICATION_POLICY = "replicaPolicies";
     protected static final String RESOURCE_REPLICATION_META = "replicaMetadata";
@@ -191,16 +190,6 @@
                         reserve();
                         status = true;
                     }
-                } else if (resource.startsWith(RESOURCE_ASSERT_RELATION)) {
-
-                    // after the command
-                    extra = parseTrailing(resource, RESOURCE_ASSERT_RELATION);
-
-                    // reserve the ID (in params)
-                    if (httpVerb == GET) {
-                        assertRelation(extra);
-                        status = true;
-                    }
                 } else if (resource.startsWith(RESOURCE_RESOLVE)) {
 
                     // after the command
@@ -835,43 +824,6 @@
     }
 
     /**
-     * Assert that a relationship exists between two resources
-     * 
-     * @param id
-     * @return
-     * @throws InvalidToken
-     * @throws ServiceFailure
-     * @throws NotAuthorized
-     * @throws NotFound
-     * @throws InvalidRequest
-     * @throws NotImplemented
-     */
-    private boolean assertRelation(String id) throws InvalidToken,
-            ServiceFailure, NotAuthorized, NotFound, InvalidRequest,
-            NotImplemented {
-        Identifier pidOfSubject = new Identifier();
-        pidOfSubject.setValue(id);
-        String relationship = null;
-        try {
-            relationship = params.get("relationship")[0];
-        } catch (Exception e) {
-            logMetacat.warn("relationship not specified");
-        }
-        Identifier pidOfObject = new Identifier();
-        try {
-            String objPid = params.get("pidOfObject")[0];
-            pidOfObject.setValue(objPid);
-        } catch (Exception e) {
-            logMetacat.warn("pidOfObject not specified");
-        }
-        boolean result = CNodeService.getInstance(request).assertRelation(
-                session, pidOfSubject, relationship, pidOfObject);
-        response.setStatus(200);
-        response.setContentType("text/xml");
-        return result;
-    }
-
-    /**
      * Set the owner of a resource
      * 
      * @param id