Index: docs/user/metacat/source/replication.rst
===================================================================
--- docs/user/metacat/source/replication.rst	(revision 6884)
+++ docs/user/metacat/source/replication.rst	(revision 6885)
@@ -1,5 +1,15 @@
 Replication
 ===========
+
+.. Note:: 
+  
+  Note that much of the functionality provided by the replication subsystem in Metacat
+  has now been generalized and standardized by DataONE, so consider utilizing the
+  DataONE services for replication as it is a more general and standardized approach
+  than this Metacat-specific replication system.  The Metacat replication system
+  will be supported for a while longer, but will likely be deprecated in a future
+  release in favor of using the DataONE replication approach. 
+
 Metacat has a built-in replication feature that allows different Metacat servers 
 to share data (both XML documents and data files) between each other. Metacat 
 can replicate not only its home server's original documents, but also those 
Index: docs/user/metacat/source/dataone.rst
===================================================================
--- docs/user/metacat/source/dataone.rst	(revision 6884)
+++ docs/user/metacat/source/dataone.rst	(revision 6885)
@@ -1,6 +1,5 @@
 DataONE Member Node Support
 ===========================
-
 DataONE_ is a federation of data repositories that aims to improve 
 interoperability among data repository software systems and advance the
 preservation of scientific data for future use.
@@ -16,7 +15,7 @@
 and social scientists to build a robust, interoperable, and sustainable system for
 preserving and accessing Earth observational data at national and global scales.  
 Supported by the U.S. National Science Foundation, DataONE partners focus on
-technological, finalncial, and organizational sustainability approaches to 
+technological, financial, and organizational sustainability approaches to 
 building a distributed network of data repositories that are fully interoperable,
 even when those repositories use divergent underlying software and support different
 data and metadata content standards. DataONE defines a common web-service service 
@@ -33,15 +32,14 @@
 software tools for data management, analysis, visualization and other parts of 
 the scientific lifecycle to directly communicate with Metacat without being
 further specialized beyond the support needed for DataONE.  This streamlines the
-process of writing scientific software on both for servers and client tools.
+process of writing scientific software both for servers and client tools.
 
 The DataONE Service Interface
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-DataONE acheives interoperability
-by defining a lightweight but powerful set of web services that can be
-implemented by various data management software systems to allow those systems
-to effectively communicate with one another, exchange data, metadata, and other
-scientific objects.  This `DataONE Service Interface`_
+DataONE acheives interoperability by defining a lightweight but powerful set of 
+REST_ web services that can be implemented by various data management software 
+systems to allow those systems to effectively communicate with one another, 
+exchange data, metadata, and other scientific objects.  This `DataONE Service Interface`_
 is an open standard that defines the communication protocols and technical 
 expectations for software components that wish to participate in the DataONE
 federation. This service interface is divided into `four distinct tiers`_, with the 
@@ -55,6 +53,8 @@
 3. **Tier 3:** Full Write access
 4. **Tier 4:** Replication target services
 
+.. _REST: http://en.wikipedia.org/wiki/Representational_state_transfer
+
 .. _DataONE Service Interface: http://releases.dataone.org/online/d1-architecture-1.0.0
 
 .. _four distinct tiers: http://releases.dataone.org/online/d1-architecture-1.0.0/apis/index.html
@@ -61,13 +61,104 @@
 
 Member Nodes
 ~~~~~~~~~~~~
+In DataONE, Member Nodes represent the core of the network, in that they represent
+particular scientific communities, manage and preserve their data and metadata, and
+provide tools to their community for contributing, managing, and accessing data.
+DataONE provides a standard way for these individual repositories to interact, and helps
+to coordinate among the Member Nodes in the federation.  This allows Member Nodes
+to provide services to each other, such as replication of data for backup and failover.
+To be a Member Node, a repository must implement the Member Node service interface, 
+and then register with DataONE.  Metacat provides this implementation automatically,
+and provides an easy configuration option to register a Metacat instance as a 
+DataONE Member Node (see configuration section below). If you are deploying a Metacat
+instance, it is relatively simple to become a Member Node, but keep in mind that 
+DataONE is aiming for longevity and preservation, and so is selecting for nodes
+that have long-term data preservation as part of their mission. 
 
 Coordinating Nodes
 ~~~~~~~~~~~~~~~~~~
+The DataONE Coordinating Nodes provide a set of services to Member Nodes that
+allow Member Nodes to easily interact with one another and to provide a unified
+view of the whole DataONE Federation.  The main services provided by Coordinating
+Nodes are:
 
+* Global search index for all metadata and web portal for data discovery
+* Resolution service to map unique identifiers to the Member Nodes that hold data
+* Authentication against a shared set of accounts based on CILogon_ and InCommon_
+* Replication management services to reliably replicate data according to 
+  policies set by the Member Nodes
+* Fixity checking to ensure that preserved objects remain valid
+* Member Node registration and management
+* Aggregated logging for data access across the whole federation
+
+Three geographically distributed Coordinating Nodes replicate these coordinating 
+services at UC Santa Barbara, the University of New Mexico, and the Oak Ridge Campus.
+Coordinating Nodes are set up in a fully redundant manner, such that any of the coordinating
+nodes can be offline and the others will continue to provide availability of the services
+without interruption.  The DataONE services expose their services at::
+
+  https://cn.dataone.org/cn
+  
+And the DataONE search portal is available at:
+
+  https://cn.dataone.org/
+
+.. _CILogon: http://www.cilogon.org
+
+.. _InCommon: http://incommon.org
+
 Investigator Toolkit
 ~~~~~~~~~~~~~~~~~~~~
+In order to provide scientists with convenient access to the data and metadata in
+DataONE, the third component represents a library of software tools that have been 
+adapted to work with DataONE via the service interface and can be used to
+discover, manage, analyze, and visualize data in DataONE.  For example, DataONE
+plans to release metadata editors (e.g., Morpho), data search tools (e.g., Mercury), 
+data access tools (e.g., ONEDrive), and data analysis tools (e.g., R) that all 
+know how to interact with DataONE Member Nodes and Coordinating Nodes.  Consequently,
+scientists will be able to access data from any DataONE Member Node, such as a Metacat
+node, directly from within the R environment.  In addition, software tools that 
+are written to work with one Member Node should also work with others, thereby
+greatly increasing the efficiency of creating an entire toolkit of software that
+is useful to investigators.  
 
-Metacat as a Member Node
-------------------------
+Because DataONE services are REST web services, software written in any
+programming language can be adapted to interact with DataONE.
+In addition, to ease the process of adapting tools to work with DataONE, libraries
+are provided for common programming languages such as Java (d1-libclient-java) 
+and Python (d1_libclient-python) are provided that allow simple function calls 
+to be used to access any DataONE service.
 
+Configuring Metacat as a Member Node
+------------------------------------
+Configuring Metacat as a DataONE Member Node is accomplished with the standard
+Metacat Administrative configuration utility. To access the utility, visit the 
+following URL::
+
+  http://<yourhost.org>/<context>/admin
+  
+where ``<yourhost.org>`` represents the hostname of your webserver running metacat,
+and ``<context>`` is the name of the web context in which Metacat was installed.
+Once at the administrative utility, click on the DataONE configuration link, which
+should show the following screen:
+
+.. figure:: images/screenshots/screen-dataone-config.png
+   :align: center
+   
+   The configuration screen for configuring Metacat as a DataONE node.
+   
+Being a replication target
+~~~~~~~~~~~~~~~~~~~~~~~~~~
+TODO: Describe the configuraiton for acting as a replication target.
+
+Replication Policies
+--------------------
+TODO: Describe the replication policies for objects in DataONE.
+
+Access Control Policies
+-----------------------
+TODO: Describe access control for objects in DataONE.
+
+
+
+
Index: docs/user/metacat/source/images/screenshots/screen-dataone-config.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: docs/user/metacat/source/images/screenshots/screen-dataone-config.png
___________________________________________________________________
Added: svn:mime-type
## -0,0 +1 ##
+application/octet-stream
\ No newline at end of property
Index: docs/user/metacat/source/configuration.rst
===================================================================
--- docs/user/metacat/source/configuration.rst	(revision 6884)
+++ docs/user/metacat/source/configuration.rst	(revision 6885)
@@ -336,6 +336,29 @@
 
    Configuring Geoserver.
 
+DataONE Configuration
+~~~~~~~~~~~~~~~~~~~~~
+Metacat can be configured to operate as a Member Node within the DataONE
+federation of data repositories.  See :doc:`dataone` for background and details
+on DataONE and details about configuring Metacat to act as a DataONE Member Node.
+
+Replication Configuration
+~~~~~~~~~~~~~~~~~~~~~~~~~
+Metacat can be configured to replicate its metadata and/or data content to another
+Metacat instance for backup and redundancy purposes, as well as to share data across
+sites.  This feature has been used to create the Knowledge Network for Biocomplexity
+(KNB), as well as other networks.  See :doc:`replication` for details on
+the replication system and how to configure Metacat to replicate with another node.
+
+.. Note:: 
+  
+  Note that much of the functionality provided by the replication subsystem in Metacat
+  has now been generalized and standardized by DataONE, so consider utilizing the
+  DataONE services for replication as it is a more general and standardized approach
+  than this Metacat-specific replication system.  The Metacat replication system
+  will be supported for a while longer, but will likely be deprecated in a future
+  release in favor of using the DataONE replication approach. 
+
 Additional Configuration
 ------------------------
 The most dynamic Metacat properties are managed and modified with the 